# Disable debuginfo for Fedora since it is not possible to generate it on
# that platform.
%if 0%{?fedora}
%define debug_package %{nil}
%endif

%define _prefix /scisoft
%define _docdir %{_prefix}/doc

Name:           scisoft-tinytim
Version:        7.5
Release:        1%{?dist}
Summary:        Tiny Tim is a point spread function modeling tool.
Distribution:   Scisoft
Group:          Applications/Scientific
License:        STSCI
Packager:       Carlos Guirao
URL:            http://tinytim.stsci.edu/sourcecode.php
Source0:        http://tinytim.stsci.edu/static/tinytim-%{version}.tar.gz

%description
Tiny Tim is a software package for generating Hubble Space Telescope (HST)
model point spread functions (PSFs). It is easy to use and relatively fast.
It is written in standard C, and thus is portable tovariety of computers and
operating systems, including UNIX, Linux, and Windows.

%prep
%setup -q -n tinytim-%{version}

%build
make linux

%install
install -m 755 -d %{buildroot}%{_bindir}
install -m 755 -d %{buildroot}%{_docdir}/tinytim
install -m 755 -d %{buildroot}%{_datadir}/tinytim
install -m 644 %{_builddir}/tinytim-%{version}/tiny1 %{buildroot}%{_bindir}/
install -m 644 %{_builddir}/tinytim-%{version}/tiny2 %{buildroot}%{_bindir}/
install -m 644 %{_builddir}/tinytim-%{version}/tiny3 %{buildroot}%{_bindir}/
install -m 644 %{_builddir}/tinytim-%{version}/tinytim.pdf %{buildroot}%{_docdir}/tinytim/
cd %{_builddir}/tinytim-%{version}
for FILE in *; do
  case "$FILE" in
    CVS|*.o|*.c|*.h|*.doc|*.TXT|Makefile|tiny[123]|*.ME) : ;;
    *) install -m 644 "$FILE" %{buildroot}%{_datadir}/tinytim/ ;;
  esac
done

%files
%docdir %{_docdir}/tinytim
%{_prefix}
%defattr(-,root,root,-)

%changelog
* Thu Mar 15 2018 Artur Szostak <aszostak@partner.eso.org> 7.5
- Incorporated into automated build system for Scisoft.

* Wed Nov 13 2013 Carlos Guirao <cguirao@eso.org>
- First integration based on SRPM
